#include "animalsBase.h"
#include "reptile.h"
#include "snake.h"
#include <iostream>
using namespace std;


extern "C"
{
snakeBase::snakeBase() : reptileBase()
{
	cout << "creating a default snake " << endl;
	this->amphibious = isAmphibious;
	this->snakeType = snakeTypeGater;
}
}

extern "C"
{
snakeBase::snakeBase(int isNocternal, int whatItEats, int isPoisonous, int canItchangeColors,
					 int snakeType, int isItAmphibious) : reptileBase(isNocternal,
                       whatItEats, isPoisonous, canItchangeColors)
{
	cout << "creating a snake with params " << endl;
	this->snakeType = snakeType;
	this->amphibious = isItAmphibious;
}
}

extern "C"
{
snakeBase::~snakeBase()
{
	cout << "destroying a snake" << endl;
}
}


extern "C"
{
int snakeBase::slither(int x, int y)
{
	cout << "a snake is trying to slither " << endl;
	return(this->move(x, y));
}
}

extern "C"
{
void snakeBase::print()
{
	cout << "snake is it amphibious " << this->amphibious << " what type is it "
		  << this->snakeType << endl;
	reptileBase::print();
}
}

